/**
 * Create an extension for `micromark` to enable math syntax.
 *
 * @param {Options | null | undefined} [options={}]
 *   Configuration (default: `{}`).
 * @returns {Extension}
 *   Extension for `micromark` that can be passed in `extensions`, to
 *   enable math syntax.
 */
export function math(options?: Options | null | undefined): Extension
export type Extension = import('micromark-util-types').Extension
export type Options = import('./math-text.js').Options
