/**
 * Add dictionary to register. Can be used by output plugins.
 *
 * @todo docs
 *
 * @access public
 * @memberof module:@citation-js/core.plugins.dict
 * @method add
 *
 * @param {module:@citation-js/core.plugins.dict~dictName} name - dictionary name
 * @param {module:@citation-js/core.plugins.dict~dict} dict - dictionary data
 * @throws {TypeError} argument validation error
 */
export function add(name: any, dict: any): void;
/**
 * Remove dictionary.
 *
 * @access public
 * @memberof module:@citation-js/core.plugins.dict
 * @method remove
 *
 * @param {module:@citation-js/core.plugins.dict~dictName} name - output format name
 */
export function remove(name: any): void;
/**
 * Check if dictionary plugin exists.
 *
 * @access public
 * @memberof module:@citation-js/core.plugins.dict
 * @method has
 *
 * @param {module:@citation-js/core.plugins.dict~dictName} name - output format name
 * @return {Boolean} register has plugin
 */
export function has(name: any): boolean;
/**
 * List dictionary plugins.
 *
 * @access public
 * @memberof module:@citation-js/core.plugins.dict
 * @method list
 *
 * @return {Array<String>} list of plugins
 */
export function list(): Array<string>;
/**
 * Get dictionary data.
 *
 * @access public
 * @memberof module:@citation-js/core.plugins.dict
 * @method get
 *
 * @param {module:@citation-js/core.plugins.dict~dictName} name - output format name
 * @return {module:@citation-js/core.plugins.dict~dict} dictionary data
 */
export function get(name: any): any;
/**
 * @access public
 * @memberof module:@citation-js/core.plugins.dict
 * @constant register
 *
 * @type module:@citation-js/core.util.Register
 */
export const register: any;
export namespace htmlDict {
    let wr_start: string;
    let wr_end: string;
    let en_start: string;
    let en_end: string;
    let ul_start: string;
    let ul_end: string;
    let li_start: string;
    let li_end: string;
}
export namespace textDict {
    let wr_start_1: string;
    export { wr_start_1 as wr_start };
    let wr_end_1: string;
    export { wr_end_1 as wr_end };
    let en_start_1: string;
    export { en_start_1 as en_start };
    let en_end_1: string;
    export { en_end_1 as en_end };
    let ul_start_1: string;
    export { ul_start_1 as ul_start };
    let ul_end_1: string;
    export { ul_end_1 as ul_end };
    let li_start_1: string;
    export { li_start_1 as li_start };
    let li_end_1: string;
    export { li_end_1 as li_end };
}
/**
 * :@citation-js/core.plugins.dict~dictName
 */
export type module = string;
