/**
 * See the relevant tutorial: {@tutorial input_plugins}
 *
 * @access public
 * @method add
 * @memberof module:@citation-js/core.plugins.input
 *
 * @param {module:@citation-js/core.plugins.input~format} format - input format name
 * @param {module:@citation-js/core.plugins.input~parsers} parsers - parsers
 *
 * @tutorial input_plugins
 */
export function add(format: any, parsers: any): void;
/**
 * @access public
 * @method get
 * @memberof module:@citation-js/core.plugins.input
 *
 * @param {module:@citation-js/core.plugins.input~format} format - input format name
 * @returns {Object} index
 */
export function get(format: any): any;
/**
 * @access public
 * @method remove
 * @memberof module:@citation-js/core.plugins.input
 *
 * @param {module:@citation-js/core.plugins.input~format} format - input format name
 */
export function remove(format: any): void;
/**
 * @access public
 * @method has
 * @memberof module:@citation-js/core.plugins.input
 * @param {module:@citation-js/core.plugins.input~format} format - input format name
 * @returns {Boolean} input format is registered
 */
export function has(format: any): boolean;
/**
 * @access public
 * @method list
 * @memberof module:@citation-js/core.plugins.input
 * @returns {Array<module:@citation-js/core.plugins.input~format>} input format is registered
 */
export function list(): Array<NodeModule>;
