export default Register;
/**
 * @memberof module:@citation-js/core.util
 * @param {Object} [data={}] - initial values
 */
declare class Register {
    constructor(data?: {});
    data: {};
    /**
     * @param {String} key
     * @param {*} value
     * @return {Register} this
     */
    set(key: string, value: any): Register;
    /**
     * @param {String} key
     * @param {*} value
     * @return {Register} this
     */
    add(...args: any[]): Register;
    /**
     * @param {String} key
     * @return {Register} this
     */
    delete(key: string): Register;
    /**
     * @param {String} key
     * @return {Register} this
     */
    remove(...args: any[]): Register;
    /**
     * @param {String} key
     * @return {*} value
     */
    get(key: string): any;
    /**
     * @param {String} key
     * @return {Boolean} register has key
     */
    has(key: string): boolean;
    /**
     * @return {Array<String>} list of keys
     */
    list(): Array<string>;
}
