const biblatexTypes = {
    source: {
        article: 'article-journal',
        book: 'book',
        mvbook: 'book',
        inbook: 'chapter',
        bookinbook: 'book',
        booklet: 'book',
        collection: 'book',
        mvcollection: 'book',
        incollection: 'chapter',
        dataset: 'dataset',
        online: 'webpage',
        patent: 'patent',
        periodical: 'article-journal',
        proceedings: 'book',
        mvproceedings: 'book',
        inproceedings: 'paper-conference',
        reference: 'book',
        mvreference: 'book',
        inreference: 'entry',
        report: 'report',
        software: 'book',
        thesis: 'thesis',
        unpublished: 'manuscript',
        artwork: 'graphic',
        audio: 'song',
        image: 'figure',
        jurisdiction: 'legal_case',
        legislation: 'legislation',
        legal: 'treaty',
        letter: 'personal_communication',
        movie: 'motion_picture',
        music: 'musical_score',
        review: 'review',
        video: 'motion_picture',
        conference: 'paper-conference',
        electronic: 'webpage',
        mastersthesis: 'thesis',
        phdthesis: 'thesis',
        techreport: 'report',
        www: 'webpage',
    },
    target: {
        article: 'article',
        'article-journal': 'article',
        'article-magazine': 'article',
        'article-newspaper': 'article',
        bill: 'legislation',
        book: 'book',
        broadcast: 'audio',
        chapter: 'inbook',
        dataset: 'dataset',
        entry: 'inreference',
        'entry-dictionary': 'inreference',
        'entry-encyclopedia': 'inreference',
        figure: 'artwork',
        graphic: 'artwork',
        interview: 'audio',
        legal_case: 'jurisdiction',
        legislation: 'legislation',
        manuscript: 'unpublished',
        motion_picture: 'movie',
        musical_score: 'music',
        'paper-conference': 'inproceedings',
        patent: 'patent',
        personal_communication: 'letter',
        post: 'online',
        'post-weblog': 'online',
        report: 'report',
        review: 'review',
        'review-book': 'review',
        song: 'music',
        speech: 'audio',
        thesis: 'thesis',
        treaty: 'legal',
        webpage: 'online',
    },
};
export default biblatexTypes;
