export default prepareEngine;
/**
 * Prepare CSL parsing engine
 *
 * @access private
 *
 * @param {Array<CSL>} data
 * @param {String} templateName
 * @param {String} language
 * @param {String} format
 *
 * @return {Object} CSL Engine
 */
declare function prepareEngine(data: Array<CSL>, style: any, locale: any, format: string): any;
/**
 * Retrieve CSL parsing engine
 *
 * @access private
 *
 * @param {String} style - CSL style id
 * @param {String} lang - Language code
 * @param {String} template - CSL XML template
 * @param {module:output/csl~retrieveItem} retrieveItem - Code to retreive item
 * @param {module:output/csl~retrieveLocale} retrieveLocale - Code to retreive locale
 *
 * @return {Object} CSL Engine
 */
export function fetchEngine(style: string, locale: any, styleXml: any, retrieveItem: any, retrieveLocale: any): any;
